import Vue from 'vue';
// import {
//   Button,
//   Image,
//   Icon,
//   Cell,
//   CellGroup,
//   Row,
//   Col,
//   Dialog,
//   Popup,
//   Overlay,
//   Divider,
//   Loading,
//   Picker,
//   NavBar,
//   Field,
//   Checkbox,
//   CardList,
//   List,
//   Form,
//   Sticky,
//   Tab,
//   Tabs,
//   Notify,
//   Swipe,
//   SwipeItem,
//   Toast,
//   BackTop
// } from '@qg/cherry-ui';
import Button from '@qg/cherry-ui/src/button';
import Image from '@qg/cherry-ui/src/image';
import Field from '@qg/cherry-ui/src/field';
import Form from '@qg/cherry-ui/src/form';
import Tab from '@qg/cherry-ui/src/tab';
import Tabs from '@qg/cherry-ui/src/tabs';
import BackTop from '@qg/cherry-ui/src/back-top';
import Notify from '@qg/cherry-ui/src/notify';
import Toast from '@qg/cherry-ui/src/toast';

import Text from '@qg/cherry-ui/src/text';
import Cell from '@qg/cherry-ui/src/cell';
import Checkbox from '@qg/cherry-ui/src/checkbox';
import CountDown from '@qg/cherry-ui/src/count-down';
import Divider from '@qg/cherry-ui/src/divider';
import Icon from '@qg/cherry-ui/src/icon';
import NavBar from '@qg/cherry-ui/src/nav-bar';
import NoticeBar from '@qg/cherry-ui/src/notice-bar';
import Progress from '@qg/cherry-ui/src/progress';
import Tag from '@qg/cherry-ui/src/tag';

import citrusUi from '@qg/citrus-ui';

Vue.use(Button);
Vue.use(Image);
Vue.use(Cell);
Vue.use(Divider);
Vue.use(Field);
Vue.use(Checkbox);
Vue.use(Icon);
Vue.use(Form);
Vue.use(Tab);
Vue.use(Tabs);
Vue.use(BackTop);
Vue.use(Text);
Vue.use(CountDown);
Vue.use(NavBar);
Vue.use(NoticeBar);
Vue.use(Progress);
Vue.use(Tag);

Vue.use(citrusUi);

Vue.prototype.$notify = Notify;
Vue.prototype.$toast = Toast;
